summaryrefslogtreecommitdiffstats
path: root/audio/grip2/grip2.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-07-17 11:58:17 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-07-17 11:58:17 -0500
commit3d9ef854c3b0e2e5e0d1b8bafe9dea8c96e6a3e1 (patch)
treeb2a5ad52b4fa38ab618491da27ad8f50af8d7402 /audio/grip2/grip2.SlackBuild
parentfb0fb8df54bd2833fce97454b7c31c2da16f8015 (diff)
downloadslackbuilds-3d9ef854c3b0e2e5e0d1b8bafe9dea8c96e6a3e1.tar.gz
slackbuilds-3d9ef854c3b0e2e5e0d1b8bafe9dea8c96e6a3e1.tar.xz
audio/grip2: Added (replaces multimedia/grip)
This is the "old" grip version for those who don't want all of the "new" gnome deps to go along with it. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio/grip2/grip2.SlackBuild')
-rw-r--r--audio/grip2/grip2.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/audio/grip2/grip2.SlackBuild b/audio/grip2/grip2.SlackBuild
new file mode 100644
index 0000000000..5c1ddf7bc1
--- /dev/null
+++ b/audio/grip2/grip2.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for grip
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=grip2
+SRCNAM=grip
+VERSION=${VERSION:-2.96}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Slack 12.2 and up keeps cdda headers in /usr/include/cdda, 12.1 has them
+# in /usr/include itself. Be adaptable.
+if [ -r /usr/include/cdda/cdda_interface.h ]; then
+ SLKCFLAGS="$SLKCFLAGS -I/usr/include/cdda"
+fi
+
+# Patch to use system-installed cdparanoia libs:
+patch -p1 --verbose < $CWD/patches/system_cdparanoia_libs.diff
+
+# Patch to fix a compile issue with threads (probably came from gentoo):
+patch -p1 --verbose < $CWD/patches/grip2-nptl.diff
+
+# Patch to install binaries/manpages as grip2 and gcd2 (so as not to conflict
+# with the grip 3.x package).
+patch -p1 --verbose < $CWD/patches/grip2.diff
+
+# The Makefile ignores any CFLAGS we pass in, so:
+perl -i.bak -pe 's,(CFLAGS\s*=\s*),$1 '"$SLKCFLAGS"' ,' Makefile
+
+make EXE_SUFFIX=2
+
+# DESTDIR not supported.
+make install PREFIX=$PKG/usr EXE_SUFFIX=2
+
+strip --strip-unneeded $PKG/usr/bin/*
+
+rm -f $PKG/usr/man/man1/gcd*
+gzip $PKG/usr/man/man1/$PRGNAM.1
+( cd $PKG/usr/man/man1 && ln -s $PRGNAM.1.gz gcd2.1.gz )
+
+# Why does it create an empty usr/lib dir?
+rm -rf $PKG/usr/lib
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp pixmaps/$SRCNAM.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $CWD/dot.grip.sample CHANGES CREDITS LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc ; chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+if [ "${SYMLINKS:-no}" = "yes" ]; then
+ ln -s grip2 $PKG/usr/bin/grip
+ ln -s gcd2 $PKG/usr/bin/gcd
+ ln -s grip2.1.gz $PKG/usr/man/man1/grip.1.gz
+ ln -s grip2.1.gz $PKG/usr/man/man1/gcd.1.gz
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}